// -*- C++ -*-
// $Id$

/**
 * Code generated by the The ACE ORB (TAO) IDL Compiler v2.2a_p14
 * TAO and the TAO IDL Compiler have been developed by:
 *       Center for Distributed Object Computing
 *       Washington University
 *       St. Louis, MO
 *       USA
 *       http://www.cs.wustl.edu/~schmidt/doc-center.html
 * and
 *       Distributed Object Computing Laboratory
 *       University of California at Irvine
 *       Irvine, CA
 *       USA
 * and
 *       Institute for Software Integrated Systems
 *       Vanderbilt University
 *       Nashville, TN
 *       USA
 *       http://www.isis.vanderbilt.edu/
 *
 * Information about TAO is available at:
 *     http://www.cs.wustl.edu/~schmidt/TAO.html
 **/

// TAO_IDL - Generated from
// be/be_codegen.cpp:794

#ifndef _TAO_IDL_MESSAGING_RT_POLICYA_1RUO9C_H_
#define _TAO_IDL_MESSAGING_RT_POLICYA_1RUO9C_H_

#include /**/ "ace/pre.h"

#include /**/ "tao/Messaging/messaging_export.h"
#include "tao/AnyTypeCode/Any.h"

#include "tao/Messaging/Messaging_RT_PolicyC.h"
#include "tao/AnyTypeCode/TimeBaseA.h"
#include "tao/AnyTypeCode/PolicyA.h"
#include "tao/Messaging/Messaging_TypesA.h"


TAO_BEGIN_VERSIONED_NAMESPACE_DECL



// TAO_IDL - Generated from
// be/be_visitor_module/module_ch.cpp:48

namespace Messaging
{

  // TAO_IDL - Generated from
  // be/be_visitor_typecode/typecode_decl.cpp:37

  extern TAO_Messaging_Export ::CORBA::TypeCode_ptr const _tc_Timeout;

  // TAO_IDL - Generated from
  // be/be_visitor_typecode/typecode_decl.cpp:37

  extern TAO_Messaging_Export ::CORBA::TypeCode_ptr const _tc_RelativeRoundtripTimeoutPolicy;

// TAO_IDL - Generated from
// be/be_visitor_module/module_ch.cpp:75

} // module Messaging


TAO_END_VERSIONED_NAMESPACE_DECL



#include /**/ "ace/post.h"

#endif /* ifndef */
